%global real_name Tk
%global momorel 2

Summary:	Tk modules for Perl
Name:		perl-Tk
Version:	804.027
Release:	%{momorel}m
Group:		Development/Libraries
License:	GPL or Artistic
URL:		http://www.cpan.org/modules/by-module/Tk/
Source:		http://www.cpan.org/modules/by-module/Tk/Tk-%{version}.tar.gz
NoSource: 0
Patch:		Tk800.023-LabRadio.patch
Patch1:		Tk800.024-gcc3.4.patch
Provides:	perl/tk ptk pTk
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq:	perl >= 5.8.5
BuildRequires: libX11-devel

%package devel
Summary:	Tk modules for Perl (development package)
Group:		Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%package doc
Summary:	Tk modules for Perl (documentation package)
Group:		Documentation
Requires: %name = %{PACKAGE_VERSION}

%description
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk), and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

%description devel
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk), and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

This is the development package.

%description doc
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk), and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

This is the documentation package.

%prep
%setup -q -n Tk-%{version}
%patch -p1
##%%patch1 -p1
find . -type f | xargs perl -pi -e 's|^#!.*/bin/perl\S*|#!/usr/bin/perl|'
# Make it lib64 aware, avoid patch
perl -pi -e "s,(/usr/X11(R6|\\*)|\\\$X11|\(\?:)/lib,\1/%{_lib},g" \
  myConfig pTk/mTk/{unix,tixUnix/{itcl2.0,tk4.0}}/configure
#(peroyvind) --center does no longer seem to be working, obsoleted by -c
perl -pi -e "s#--center#-c#" ./Tk/MMutil.pm

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL
%make OPTIMIZE="%{optflags}" LD_RUN_PATH=""
# make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
%{__chmod} 644 %{buildroot}%{_mandir}/man?/*

# Remove unpackaged files, add them if you find a use
rm %{buildroot}%{perl_sitearch}/auto/Tk/.packlist
rm -f %{buildroot}%{perl_sitearch}/Tk/reindex.pl
rm -f %{buildroot}%{perl_sitearch}/Tk/prolog.ps
pushd %{buildroot}%{perl_sitearch}/Tk
ln -s LabRadio.pm LabRadiobutton.pm
popd

%clean
rm -rf %{buildroot}

%changelog
* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (800.027-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (800.027-1m)
- version up to 800.027
- built against perl-5.8.7
- remove Patch1:Tk800.024-gcc3.4.patch

* Tue Oct 19 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (800.024-10m)
- add patch2 for gcc 3.4.

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (800.024-9m)
- rebuild against perl-5.8.5

* Sat Aug  7 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (800.024-8m)
- remove patch "-b" option.

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (800.024-7m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (800.024-6m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (800.024-5m)
- rebuild against perl-5.8.2

* Sun Nov 02 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (800.024-4m)
- fix --center compile error
- change License: BSD to GPL or Artistic

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (800.024-4m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (800.024-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (800.024-2m)
- kill %%define name

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (800.024-1m)
- rebuild against perl-5.8.0

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (800.023-11m)
- fix %files

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (800.023-10m)
- fix man install path

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (800.023-9m)
- remove BuildPreReq: gcc2.95.3

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (800.023-8k)
- add LabRadio.patch

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (800.023-6k)
- rebuild against for perl-5.6.1

* Fri Feb 15 2002 Shingo Akagaki <dora@kondara.org>
- (800.023-4k)
- remove reindex.pl

* Mon Oct  1 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (800.023-2k)
- update to 800.023

* Mon Sep 17 2001 Toru Hoshina <toru@df-usa.com>
- (800.022-14k)
- no more fixpack...

* Fri May 04 2001 Toru Hoshina <toru@df-usa.com>
- (800.022-10k)
- rebuild by gcc 2.95.3 :-P

* Sun Mar 25 2001 Motonobu Ichimura <famao@kondara.org>
- (800.022-9k)
- fix group name

* Sun Oct 29 2000 Toru Hoshina <toru@df-usa.com>
- to be Kondarized.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 800.022-4mdk
- build release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 800.022-3mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Franois Pons <fpons@mandrakesoft.com> 800.022-2mdk
- macroszifications.
- added perl-Tk-devel and perl-Tk-doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 800.022-1mdk
- 800.022.

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 800.018-3mdk
- Fix buid for i486

* Wed Apr 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 800.018-2mdk
- updated to perl 5.600

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 800.018-1mdk
- v800.18
- used srpm provided by Stefan van der Eijk <s.vandereijk@chello.nl>

* Thu Feb 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- update to 800.018

* Wed Jan 19 2000 Pixel <pixel@mandrakesoft.com>
- mandrake creation/adaptation
- removed the ed stuff by perl (what the hell, it's a perl module!)

%files
%defattr(-,root,root)
%doc COPYING ToDo Changes README README.linux
%{_bindir}/*
%{_mandir}/man?/*
%{perl_sitearch}/Tk.pm*
%dir %{perl_sitearch}/Tk
%{perl_sitearch}/Tk/*.pm
%{perl_sitearch}/Tk/Menu
%{perl_sitearch}/Tk/Text
%{perl_sitearch}/Tk/DragDrop
%{perl_sitearch}/Tk/*.xbm
%{perl_sitearch}/Tk/*.gif
%{perl_sitearch}/Tk/*.xpm
%{perl_sitearch}/Tk/Event
%{perl_sitearch}/Tk/demos
%{perl_sitearch}/Tk/license.terms
%{perl_sitearch}/Tk/Credits
%{perl_sitearch}/Tie
%{perl_sitearch}/auto/Tk
%{perl_sitearch}/fix_4_os2.pl

%files devel
%defattr(-,root,root)
%doc COPYING Funcs.doc INSTALL
%{perl_sitearch}/Tk/pTk
%{perl_sitearch}/Tk/*.def
%{perl_sitearch}/Tk/*.h
%{perl_sitearch}/Tk/*.m
%{perl_sitearch}/Tk/*.t
%{perl_sitearch}/Tk/typemap

%files doc
%defattr(-,root,root)
%doc COPYING
%{perl_sitearch}/Tk.pod
%{perl_sitearch}/Tk/*.pod
%{perl_sitearch}/Tk/README.Adjust
